import java.io.*;
import java.util.StringTokenizer;

class ChoseAFaireV2
implements Serializable
{
  private int importance; //de 1  5
  private String designation;
  private boolean choseFaite;
  public ChoseAFaireV2() {
    importance = 0;
    designation = "";
    choseFaite = false;
  }
  public ChoseAFaireV2(String libelle, int priorite) {
    importance = priorite;
    designation = libelle;
    choseFaite = false;
  }
  public ChoseAFaireV2(String description) throws Exception {
    StringTokenizer st = new StringTokenizer(description, ":");
    String extrait;
    extrait = st.nextToken(); importance = Integer.parseInt(extrait);
    designation = st.nextToken();
    extrait = st.nextToken(); choseFaite = extrait.equals("fait");
  }
  public void termine() {
    choseFaite = true;
  }
  public String toString() {
    String texte = "";
    texte += importance;
    texte += ":";
    texte += designation;
    texte += ":";
    if (choseFaite)
      texte += "fait";
    else
      texte += "a faire";
    return texte;
  }
  private void writeObject(ObjectOutputStream s) throws IOException {
    s.defaultWriteObject();
    s.writeInt(importance);
    s.writeUTF(designation);
    s.writeBoolean(choseFaite);
  }
  private void readObject(ObjectInputStream s) throws IOException, ClassNotFoundException  {
    s.defaultReadObject();
    importance = s.readInt();
    designation = s.readUTF();
    choseFaite = s.readBoolean();
  }
}